## v1.0.13+1

**Release Date** : 14th Apr 2023

**Bug Fix** :

1. Improved Audio Quality
2. Improved SDK Performance

## v1.0.13

**Release Date** : 1st Apr 2023

**Change Log** :

1. `HLS_PLAYABLE` state added in the `hlsStateChanged`.
2. `hlsUrls` getter added in the `Room`.

## v1.0.12

**Release Date** : 24rd Mar 2023

**Change Log** :

1. `pin()` added to pin a participant.
2. `unpin()` added to unpin a participant.
3. `changeMode()` allows the participant to switch mode between `CONFERENCE` and `VIEWER`.

## v1.0.11

**Release Date** : 03rd Mar 2023

**Bug Fix** :

1. Fixed room not closing if `leave()` called before meeting is joined.
2. Internal dependencies updated.

## v1.0.10

**Release Date** : 03rd Jan 2023

**Change log** :

1. Added `getVideoStats()`, `getAudioStats()` and `getShareStats()` to get the statistics for the video, audio and share stream of a participant.

## 1.0.9

- Added support for custom audio and video tracks.
- Added events for recording, live streaming and HLS status.
- Added event for participant notifying the change in video quality.
- Added `startHls()` and `stopHls()` methods.
- Updated `startRecording()` and `startLiveStream()` to accept `config` values for the feed.
- Fixed `unable to start video or mic` after turning them off.

## 1.0.8

- Added new flag `multiStream` for `createRoom()`

## 1.0.7

- Updated Gradle Version for Android

## 1.0.6

- Added ErrorEvents for Room.

- Fixed crash on `end()`, when the room is not joined yet.

## 1.0.5

- Added support for iOS ScreenSharing.

## 1.0.4

- Added support for changing audio device.

- Fixed issue: PrintDevLog issue

## 1.0.3

- Fixed issue: VideoRenderer.onFirstFrameRendered implementation.

## 1.0.2

- Fixed issue on room ends.
- Provides reason on room left.

## 1.0.1

- Fixed change webcam issue

## 1.0.0

- Renamed `Meeting` class to `Room` class.
- Changed import file `package:videosdk/rtc.dart` to `package:videosdk/videosdk.dart`
- Changed events:

  - `Events.meetingJoined` to `Events.roomJoined`
  - `Events.meetingLeft` to `Events.roomLeft`
  - `Events.webcamRequested` to `Events.cameraRequested`
    Changed properties and methods for `Room` class
  - `selectedWebcamId` to `selectedCamId`
  - `enableWebcam()` to `enableCam()`
  - `disableWebcam()` to `disableCam()`
  - `changeWebcam()` to `changeCam()`
  - `getWebcams()` to `getCameras()`
    Changed methods for `Participant` class
  - `enableMic()` to `unmuteMic()`
  - `disableMic()` to `muteMic()`
  - `enableWebcam()` to `enableCam()`
  - `disableWebcam()` to `disableCam()`

- Added `VideoSDK.createRoom()` to create VideoSDK Rooms. Use `join()` to join VideoSDK Room.
- Added `defaultCameraIndex` option to select default camera for `Room` Class.
- Added `micEnabled` property for `Room` Class.
- Added `camEnabled` property for `Room` Class.
- Added `end()` method for `Room` Class.
- Removed `MeetingBuilder` Widget.
- Fixed the issue of joining room (meeting) multiple time.
- Fixed issues related to resource consumption.

## 0.0.14

- `setViewport()` added for participant webcam streams

## 0.0.13

- Added support for region wise baseUrls
- Added support for Android 12
- Added support for custom ice-servers
- Performance improvements

## 0.0.12

- iOS mic issue resolved
- entry request event handled

## 0.0.11

- Handle Entry Request

## 0.0.10

- PubSub Message
- custom participnatId

## 0.0.9

- Android Screen Share
- Events Enums

## 0.0.8

- Added fix for Mic / Webcam enable request

## 0.0.7

- Participant can pause or resume all video, audio and shareshare streams.
- Participant can set quality of video stream of other participant.

## 0.0.6

- Participant can request to turn on any participants' webcam or mic and can turn off the same
- Participant can remove another participant from meeting.

## 0.0.5

- livestream, recording, change webcam, active speaker and presenter indication, remote share streams and example code improved

## 0.0.4

- example app, pub description added.

## 0.0.3

- Installation steps added for android in `README` file.

## 0.0.2

- Exporting Meeting, Participant, Stream classes and MeetingBuilder widget.

## 0.0.1

- videosdk rtc meeting library initial release.
